Subject: bug#49160: 28.0.50; [PATCH] Uninitialized inhibit_buffer_hooks

From: Eli Zaretskii <[email-masked]>
Date: Wed, 11 Jan 2023 22:23:01 +0200

> From: "Basil L. Contovounesios" <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked],  dick
>  <[email-masked]>
> Date: Wed, 11 Jan 2023 20:13:21 +0000
> 
> >> More to the point: since this attribute of a buffer cannot be changed
> >> once the buffer is created, I think it might be okay to copy from the
> >> base buffer, but we should also allow the caller to control that by
> >> introducing an optional argument similar to that of get-buffer-create.
> >> And if we do that, we could also consider making the default value be
> >> nil, not necessarily a copy of that of the base buffer.
> >
> > I've now applied Dick's patch, and then adjusted as you suggest.
> 
> Fmake_indirect_buffer continues to run buffer-list-update-hook
> regardless of the new argument.  Any objections to changing that?

buffer-list-update-hook is not a buffer-hook, strictly speaking.  So
I'm not sure we want this.  What is the real-life use case behind this
request?